/**
 * File Name: Main.js
 * Live Demo: http://makingbrowsergames.com/starterkits/<directory>
 * Source Code: http://makingbrowsergames.com/starterkits/
 * Description: File for controlling and displaying game scenes; managing global variables throughout game state.
 * Author: Stephen Gose
 * Version: 0.0.0.8
 * Author URL: http://www.stephen-gose.com/
 * Support: support@pbmcube.com
 *
 * Copyright © \u00A9 1974-2017 Stephen Gose LLC. All rights reserved. 
 * 
 * Do not sell! Do not distribute!
 * This is a licensed permission file. Please refer to Terms of Use
 *   and End Users License Agreement (EULA).
 * Search for [ //**TODO** ] to tailor this file for your own use; doing so will void any support agreement.
 *
 * Redistribution of part or whole of this file and
 * the accompanying files is strictly prohibited.
 *
 */

"use strict";
/**	game set-up	**/
console.log("%c  Starting my awesome MMoG game Prototype!       \n  | http://pbmcube.net/shop |                    \n  | \u2665\u2665\u2665\u2665\u2665 -> $120 License included in book!      \n  | Book available at: http://leanpub.com/LoRD | ", "color:white; background:blue");
	
window.GAMEAPP = {
	
	// reference to the Phaser.Game instance
	game: null,
	
	//Canvas dimensions: world and viewports' Height and Width
	//**TODO** adjust for your game deployment
	viewportWidth: 800,	//game view using Golden Ration
	viewportHeight: 500,
	worldWidth: 800,		//world view using Golden Ration
	worldHeight: 500,
	
	// main function
	main: function(){
		this.game = new Phaser.Game(this.viewportWidth, this.viewportHeight, Phaser.AUTO, document.body, window.GAMEAPP.state.boot);
	},
	
	// here we will store all game phase/states
	//  state object filled as js files load.
	state: {}
};

/** DEPRECATED METHOD - NEVER EVER USE THIS AGAIN!
* 	See Phaser.js Game Design Workbook for complete explanation
*	http://leanpub.com/phaserjsgamedesignworkbook
* 	window.onload = function () {
*	    let game = new Phaser.Game(0, 0, Phaser.AUTO, document.body);
*	};
*/

//preferred lauch method for BOM.
window.addEventListener('DOMContentLoaded', function(){
	window.GAMEAPP.main();
}, false);

/* End of file */
/* Location: ./js/main.js */